height=90;      // in mm
size=16;        // in mm
socket=12.7;    // same as 1/2 inch

between_points=size*1.154701;

module holes(){
    translate([0,0,15])        // comment this to remove the square socket walls
    cylinder(h=height*1.5,d=between_points,center=false,$fn=6);
    cube([socket,socket,socket*2*1.5],center=true);
}
module solid(){
    cylinder(h=height,d=between_points+7,center=false,$fn=20);
    translate([0,0,7.5])                // comment these out to remove the handle
        cube([10,50,15],center=true);   // comment these out to remove the handle
}
difference(){
    solid();
    holes();
}
